The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete the NMS User at Domain

Prev Next

This URL deletes the NMS user.

Resource URL

DELETE / domain/<domain_id> /nmsuser/<nmsuser_id>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domainId Domain id Number Yes
nmsUserId Id of the NMS user Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful, -1 otherwise Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/domain/0/nmsuser/14

Payload

None

Response

 {
       "status": 1
 } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain
2 500 3514 Invalid user id Message from backend: Array index out of range: 0